// Package api_doc ...
//
// Description : api_doc ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2024-07-22 15:55
package api_doc

import (
	"git.zhangdeman.cn/gateway/api-doc/define"
	"git.zhangdeman.cn/zhangdeman/consts"
)

// NewOpenapiDoc ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 15:56 2024/7/22
func NewOpenapiDoc() *Generate {
	return &Generate{
		docData: &define.OpenapiDoc{
			Openapi: consts.SwaggerDocVersion3,
			Info: &define.Info{
				Description:    "openapi接口文档",
				Title:          "openapi接口文档",
				TermsOfService: "",
				Contact: &define.Contact{
					Name:  "",
					Url:   "",
					Email: "",
				},
				License: &define.License{
					Name: "",
					Url:  "",
				},
				Version: "",
			},
			Servers:    nil,
			Components: nil,
			Tags:       nil,
			Paths:      nil,
		},
	}
}

// Generate 文档生成实例
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 15:57 2024/7/22
type Generate struct {
	docData *define.OpenapiDoc
}
